<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Disciplina</strong>
    </div>
    <div class="pl-10 pr-10 contSecc">
     
      <p>
        Consulta su nivel de cumplimiento por periodo de tiempo, negocio y nivel
        geográfico.
      </p>
      <div class="titSec">
        <strong
          class="text-h6 font-weight-black
      "
        >
          Búsqueda</strong
        >
      </div>
      <div class="gris">
        <filtros ref="filtros" :disciplina="disciplina" v-model="filters" />
      </div>
      <div class="titSec">
        <strong
          class="text-h6 font-weight-black
      "
        >
          Calificación final de la disciplina a nivel Negocio</strong
        >
      </div>
      <div class="gris">
        <template v-if="disciplina.isRedUnica">
          <layout-red-unica
            :disciplina="disciplina"
            :setFilters="setFilters"
            :filters="filters"
          />
        </template>
        <template v-else>
          <layout-generico
            :disciplina="disciplina"
            :setFilters="setFilters"
            :filters="filters"
          />
        </template>
      </div>
    </div>
  </div>
</template>
<script>
import Filtros from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/detalle-disciplina/Filtros.vue";
import LayoutRedUnica from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/detalle-disciplina/LayoutRedUnica.vue";
import LayoutGenerico from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/detalle-disciplina/LayoutGenerico.vue";
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-DetalleDisciplina",
  components: {
    Filtros,
    LayoutRedUnica,
    LayoutGenerico,
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion",
          },
        },
        {
          text: "Dashboard",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard",
          },
        },
        {
          text: "Disciplinas",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion_dashboard_v2_disciplinas",
          },
        },
        {
          text: "Detalle",
          disabled: true,
          exact: true,
        },
      ],
      disciplina: null,
      filters: null,
    };
  },
  methods: {
    decodeObject(item) {
      return serviceCommons.base64ToObject(item);
    },
    setFilters(filters) {
      return this.$refs.filtros.setFiltrosExternal(filters);
    },
  },
  created() {
    this.disciplina = this.decodeObject(this.$route.params.disciplina);
    this.breadcrumbs[
      this.breadcrumbs.length - 1
    ].text = this.disciplina.descripcion;
  },
};
</script>
